Index: frontend/src/App.js
===================================================================
--- frontend/src/App.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/App.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -5,5 +5,5 @@
 import 'bootstrap/dist/js/bootstrap.js';
 import HomeCarousel from './Components/Layout/CarouselHome/Carousel';
-import {Card, Container} from 'react-bootstrap';
+import { Card, Container } from 'react-bootstrap';
 import TabComponent from './Components/Tab/Tab';
 import Offers from './Components/Layout/Offers/Offers';
@@ -27,57 +27,35 @@
 import TransportEditPage from './Pages/TransportEditPage';
 import RestaurantDetailsPage from './Pages/RestaurantDetailsPage';
-import {BrowserRouter, Route, Routes} from 'react-router-dom';
+import { BrowserRouter, Route, Routes } from 'react-router-dom';
 import LoginErrorPage from "./Pages/LoginErrorPage";
-import {AuthProvider} from "./Components/Context/AuthContext";
-import PrivateRoute from "./Components/Misc/PrivateRoute";
-import ProfilesManagementPage from "./Pages/ProfilesManagementPage";
-import UserReservationsManagement from "./Pages/UserReservationsManagement";
-import LoginCallback from "./Components/LoginCallback";
-import ConnectedAccountsPage from "./Pages/ConnectedAccountsPage";
 
 
 function App() {
 
-    return (
-        <div className="App" style={{overflow: 'hidden'}}>
-            <AuthProvider>
-                <BrowserRouter>
-                    <Routes>
-                        <Route path='/login' element={<LoginPage/>}/>
-                        <Route path='/register' element={<RegistrationPage/>}/>
-                        <Route path='/profile' element={<PrivateRoute><ProfilePage/></PrivateRoute>}/>
-                        <Route path='/profiles' element={<PrivateRoute><ProfilesManagementPage/></PrivateRoute>}/>
-                        <Route path='/reservations' element={<PrivateRoute><UserReservationsManagement/></PrivateRoute>}/>
-                        <Route path="/resources" exact element={<PrivateRoute><NoBusinessRegisteredError
-                            hasRegistration="false"/></PrivateRoute>}/>
-                        <Route path="/resources/hotel"
-                               element={<PrivateRoute><ResourcesPage tab="/hotel"/></PrivateRoute>}/>
-                        <Route path="/resources/hotel/:hotelId" element={<PrivateRoute><HotelEditPage/></PrivateRoute>}/>
-                        <Route path="/resources/restaurant"
-                               element={<PrivateRoute><ResourcesPage tab="/restaurant"/></PrivateRoute>}/>
-                        <Route path='/resources/restaurant/:restaurantId'
-                               element={<PrivateRoute><RestaurantEditPage/></PrivateRoute>}/>
-                        <Route path="/resources/transport"
-                               element={<PrivateRoute><ResourcesPage tab="/transport"/></PrivateRoute>}/>
-                        <Route path="/resources/transport/:transportId"
-                               element={<PrivateRoute><TransportEditPage/></PrivateRoute>}/>
-                        <Route path="/home" element={<HomePage/>}/>
-                        <Route path="/error" element={<LoginErrorPage/>}/>
-                        <Route path='/details/transport' element={<TransportDetailsPage></TransportDetailsPage>}/>
-                        <Route path='/details/hotel' element={<HotelDetailsPage></HotelDetailsPage>}/>
-                        <Route path='/details/restaurant' element={<RestaurantDetailsPage></RestaurantDetailsPage>}/>
-                        <Route path="/search/hotel/:hotelLocation/:dateFrom/:dateTo/:numBeds/:flexible"
-                               element={<SearchPage type="hotel"/>}/>
-                        <Route path="/search/transport/:from/:to/:date/:numPassengers"
-                               element={<SearchPage type="transport"/>}/>
-                        <Route path="/search/restaurant/:restaurantLocation/:date/:hourFrom/:hourTo/:numPeople"
-                               element={<SearchPage type="restaurant"/>}/>
-                        <Route path="/login-callback" element={<LoginCallback/>}></Route>
-                        <Route path="/connected" element={<PrivateRoute><ConnectedAccountsPage/></PrivateRoute>}></Route>
-                    </Routes>
-                </BrowserRouter>
-            </AuthProvider>
-        </div>
-    );
+  return (
+    <div className="App" style={{overflow: 'hidden'}}>
+      <BrowserRouter>
+        <Routes>
+          <Route path='/login' element={<LoginPage/>}/>
+          <Route path='/register' element={<RegistrationPage/>}/>
+          <Route path='/profile' element={<ProfilePage/>}/>
+          <Route path="/resources" exact element={<NoBusinessRegisteredError hasRegistration="false"/>} />
+          <Route path="/resources/hotel" element={<ResourcesPage tab="/hotel"/>}/>
+          <Route path="/resources/hotel/:hotelId" element={<HotelEditPage />}/>
+          <Route path="/resources/restaurant" element={<ResourcesPage tab="/restaurant"/>}/>
+          <Route path='/resources/restaurant/:restaurantId' element={<RestaurantEditPage />}/>
+          <Route path="/resources/transport" element={<ResourcesPage tab="/transport"/>}/>
+          <Route path="/resources/transport/:transportId" element={<TransportEditPage/>}/>
+          <Route path="/home" element={<HomePage/> }/>
+          <Route path="/error" element={<LoginErrorPage/> }/>
+          <Route path='/details/transport' element={<TransportDetailsPage></TransportDetailsPage>}/>
+          <Route path='/details/hotel' element={<HotelDetailsPage></HotelDetailsPage>}/>
+          <Route path='/details/restaurant' element={<RestaurantDetailsPage></RestaurantDetailsPage>}/>
+          <Route path="/search/hotel/:hotelLocation/:dateFrom/:dateTo/:numBeds" element={<SearchPage type="hotel"/> }/>
+          <Route path="/search/transport/:from/:to/:date" element={<SearchPage type="transport"/> }/>
+        </Routes>
+      </BrowserRouter>
+    </div>
+  );
 }
 
Index: frontend/src/Components/BecomeAHost/Review.js
===================================================================
--- frontend/src/Components/BecomeAHost/Review.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/BecomeAHost/Review.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -7,5 +7,5 @@
     const generateStars = () => {
         const stars = [];
-        for (let i = 0; i < props.review.numStar; i++) {
+        for (let i = 0; i < 3; i++) {
           stars.push(
             <Col key={i} style={{display: "inline-block"}} className="w-20 px-0">
@@ -14,5 +14,5 @@
           );
         }
-        for (let i = 0; i < 5 - props.review.numStar; i++) {
+        for (let i = 0; i < 5 - 3; i++) {
           stars.push(
             <Col key={i + 3} style={{display: "inline-block"}} className="w-20 px-0">
@@ -25,5 +25,5 @@
     
     return (
-        <Container style={{padding: '2em', width: '18em', height: '15em', backgroundColor: 'lightgray', borderRadius: '1rem', position: "aboslute", top: "-410px", left: "-600px"}}>
+        <Container style={{padding: '2em', width: '18em', height: 'auto', backgroundColor: 'lightgray', borderRadius: '1rem', position: "aboslute", top: "-410px", left: "-600px"}}>
             <Row>
                 <Col>
@@ -31,9 +31,9 @@
                 </Col>
                 <Col className="my-auto">
-                    <span>{props.review.title}</span>
+                    <span>Ime Prezime</span>
                 </Col>
             </Row>
             <Row>
-                <span className="my-3 border">{props.review.description}</span>
+                <span className="my-3 border">Lorem Ipsum is simply dummy text of the printing and typesetting industry. </span>
             </Row>
             <Row className="w-100 mx-auto" style={{maxWidth: "100%"}}>
Index: frontend/src/Components/Forms/AddHotelForm.js
===================================================================
--- frontend/src/Components/Forms/AddHotelForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddHotelForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -119,6 +119,4 @@
                   return prevState + 1;
                 })
-                if(!edit)
-                  props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddItemMenuForm.js
===================================================================
--- frontend/src/Components/Forms/AddItemMenuForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddItemMenuForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,5 +4,4 @@
 import useFormData from "../Hooks/useFormData";
 import useCreateMenu from "../Hooks/Restaurant/useCreateMenu"
-import useCreate from "../Hooks/useCreate";
 
 const AddItemMenuForm = (props) => {
@@ -10,5 +9,4 @@
 
   const edit = props.menu
-  console.log(props.menu)
   const dummy =     {
     name: "",
@@ -25,5 +23,4 @@
     edit ? props.menu : dummy
   );
-  const { createEntity } = useCreate();
 
   return (
@@ -75,11 +72,8 @@
               onClick={(e) => {
                 e.preventDefault();
-                if(!edit) {
-                  createMenu(props.Id, formData, props.refresh)
-                }
-                else {
-                  createEntity(`/menu/${props.menu.menuId}/edit`, formData, props.refresh)
-                }
-
+                createMenu(props.Id, formData)
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
               }}
             >
Index: frontend/src/Components/Forms/AddRestaurantForm.js
===================================================================
--- frontend/src/Components/Forms/AddRestaurantForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddRestaurantForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -82,6 +82,7 @@
                 e.preventDefault()
                 createRestaurant(formData, edit);
-                props.refresh(Math.random())
-                if(!edit) props.closeModal()
+                props.refresh((prevState) => {
+                  return prevState + 1;
+                })
               }}
             >
Index: frontend/src/Components/Forms/AddRoomForm.js
===================================================================
--- frontend/src/Components/Forms/AddRoomForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddRoomForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -13,5 +13,5 @@
     hotelRoomDescription: "",
     hotelRoomName: "",
-    numOfBeds: "",
+    numBeds: "",
     price: "",
     kitchenAvailable: false,
@@ -58,6 +58,6 @@
             type="number" 
             placeholder="Внесете го бројот на кревети" 
-            value={formData.numOfBeds}
-            name="numOfBeds"
+            value={formData.numBeds}
+            name="numBeds"
             onChange={onFormChange}
             />
@@ -117,11 +117,7 @@
               style={{ backgroundColor: "#159895" }}
               size="md"
-              onClick={(e) => {
-                e.preventDefault();
-                props.refresh((prev) => {
-                  return ++prev;
-                })
+              onClick={() => {
+                console.log(formData);
                 createHotelRoom(formData);
-                props.closeModal();
               }}
             >
Index: frontend/src/Components/Forms/AddTableAvailabilityForm.js
===================================================================
--- frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTableAvailabilityForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -62,6 +62,4 @@
               onClick={() => {
                 createTableAvailability(formData, props.table.tableId)
-                props.refresh(Math.random())
-                props.close()
               }}
             >
Index: frontend/src/Components/Forms/AddTransportForm.js
===================================================================
--- frontend/src/Components/Forms/AddTransportForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTransportForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -11,5 +11,5 @@
       transportName: "",
       carBrand: "",
-      carType: "",
+      carType: false,
       carManufacturedYear: 1900,
       noPassengers: 0,
@@ -107,8 +107,6 @@
                 createTransport(formData, edit);
                 props.refresh((prev) => {
-                  return ++prev;
+                  return prev + 1;
                 })
-                if(!edit)
-                    props.closeModal()
               }}
             >
Index: frontend/src/Components/Forms/AddTripForm.js
===================================================================
--- frontend/src/Components/Forms/AddTripForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/AddTripForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -232,5 +232,4 @@
                                     console.log(wayPointNames);
                                     for (let i = 0; i < routeCount - 1; i++) {
-                                        console.log(wayPoints[i])
                                         wayPointNames.push(wayPoints[i].value);
                                     }
@@ -272,6 +271,9 @@
 
                                     for (let i = 0; i < Object.values(routesForm).length; i++) {
+                                        console.log(findDependantRoutes(wayPointNames, routesForm, i))
                                         setDependencies(prevState => [...prevState, findDependantRoutes(wayPointNames, routesForm, i)])
                                     }
+                                    console.log('VO STATEOOOO')
+                                    console.log(dependencies)
                                     routesSetFormData(routesForm)
                                     setRoutes(routesVar)
Index: frontend/src/Components/Forms/EditRoomForm.js
===================================================================
--- frontend/src/Components/Forms/EditRoomForm.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Forms/EditRoomForm.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -28,6 +28,4 @@
     } = useGet(`/hotel/rooms/${props.room.hotelRoomId}/available`)
 
-    console.log(`/hotel/rooms/${props.room.hotelRoomId}/available`)
-
     !isLoading && console.log(data)
 
@@ -44,7 +42,7 @@
                             <tr>
                                 <th>#</th>
-                                <th>Oд</th>
-                                <th>До</th>
-                                <th>Цена</th>
+                                <th>Достапно од</th>
+                                <th>Достапно до</th>
+                                <th>Број на соби</th>
                             </tr>
                             </thead>
Index: frontend/src/Components/Hooks/Hotel/useCreateHotel.js
===================================================================
--- frontend/src/Components/Hooks/Hotel/useCreateHotel.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/Hotel/useCreateHotel.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -6,8 +6,8 @@
 const useCreateHotel = () => {
 
+    //const history = useNavigate();
     const createHotel = async (hotel, edit) => {
 		console.log({hotel})
 		console.log(hotel)
-		console.log("vo createhotel")
 
 		if(!edit)
@@ -16,5 +16,5 @@
 			.post(`/hotel/add`, hotel, {
 				params: {
-					userId: JSON.parse(localStorage.getItem("user")).userId
+					userId: localStorage.getItem("userId")
 				}
 			}) 
Index: frontend/src/Components/Hooks/Restaurant/useCreateMenu.js
===================================================================
--- frontend/src/Components/Hooks/Restaurant/useCreateMenu.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/Restaurant/useCreateMenu.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -7,5 +7,5 @@
 	const navigator = useNavigate();
 
-    const createMenu = async (id, menu, dep) => {
+    const createMenu = async (id, menu) => {
 		console.log(menu)
         console.log(id)
@@ -18,5 +18,4 @@
 					//navigator("/resources/restaurant/" + id)
 	                //history.push('/restaurant');
-					dep(prev => ++prev)
 	            })
 	            .catch((err) => {
Index: frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js
===================================================================
--- frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/Restaurant/useCreateRestaurant.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -15,5 +15,5 @@
 			.post(`/restaurant/add`, restaurant, {
 				params: {
-					userId: JSON.parse(localStorage.getItem('user')).userId,
+					userId: localStorage.getItem('userId')
 				}
 			}) 
Index: frontend/src/Components/Hooks/Restaurant/useCreateTable.js
===================================================================
--- frontend/src/Components/Hooks/Restaurant/useCreateTable.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/Restaurant/useCreateTable.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -13,5 +13,5 @@
 	            .then((res) => {
 					console.log(res)
-					refresh(Math.random())
+					refresh(prev => ++prev)
 	                //history.push('/restaurant');
 	            })
Index: frontend/src/Components/Hooks/Transport/useCreateTransport.js
===================================================================
--- frontend/src/Components/Hooks/Transport/useCreateTransport.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/Transport/useCreateTransport.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -4,10 +4,10 @@
 
 const useCreateTransport = () => {
-	const userId = JSON.parse(localStorage.getItem('user')).userId
+
     const createTransport = async (transport, edit) => {
 			if(!edit)
 			{
 				await axios
-	            .post(`/transport/add/` + userId, transport)
+	            .post(`/transport/add`, transport) 
 	            .then((res) => {
 	                //history.push('/transport');
Index: frontend/src/Components/Hooks/User/useCreateUser.js
===================================================================
--- frontend/src/Components/Hooks/User/useCreateUser.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/User/useCreateUser.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -10,5 +10,5 @@
 	            .post(`/register`, user) 
 	            .then((res) => {
-	                window.location.href = "http://localhost:8080/login"
+	                navigator("/login")
 	            })
 	            .catch((err) => {
Index: frontend/src/Components/Hooks/User/useLogin.js
===================================================================
--- frontend/src/Components/Hooks/User/useLogin.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/User/useLogin.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,35 +1,47 @@
-import { useState } from "react";
+import React from "react";
+
 import axios from "../../../axios.js";
-import {useAuth} from "../../Context/AuthContext"; // Assuming you have axios configured
+import { Navigate, useAsyncValue, useNavigate } from "react-router-dom";
+import LoginForm from "../../Login/LoginForm.js";
 
 const useLogin = () => {
-	const [loading, setLoading] = useState(false);
-	const [error, setError] = useState(null);
-	const Auth = useAuth();
 
-	const handleLoginCallback = async () => {
-		setLoading(true);
+    const navigator = useNavigate()
+    //const history = useNavigate();
+    const login = async (loginData) => {
+		console.log({loginData})
+		console.log(loginData)
+        await axios
+	            .post(`/api/login`, {
+                    username: loginData.email,
+                    password: loginData.password
+                }, {
+                    headers: { 
+                        "Content-Type": "application/x-www-form-urlencoded"
+                    }
+                }) 
+	            .then((res) => {
+					const sessionId = res.data.auth.details.sessionId;
+					const userId = res.data.auth.principal.userID;
+					
+					localStorage.setItem("sessionId", sessionId);
+					localStorage.setItem("userId", userId);
+					if(sessionId === null)
+					{
+					}
+                    navigator("/home")
+	            })
+	            .catch((err) => {
+	                console.log(err);
+	            })
+	            .finally(() => {
+	            });
+    }
 
-		try {
-			const response = await axios.get("http://localhost:8080/principal");
-
-			// Extract the needed attributes from the response
-			const { id, role, username } = response.data;
-
-			Auth.userLogin({userId: id, username: username, role: role})
-
-		} catch (err) {
-			setError(err.message);
-		} finally {
-			setLoading(false);
-		}
+	return {
+		login
 	};
 
-	return {
-		loading,
-		error,
-		handleLoginCallback,
-	};
-};
+}
 
 export default useLogin;
Index: frontend/src/Components/Hooks/useCreate.js
===================================================================
--- frontend/src/Components/Hooks/useCreate.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/useCreate.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -15,4 +15,5 @@
             .then((res) => {
                 //history.push('/hotel');
+                console.log(res)
                 getData(prev => ++prev)
                 getData2(prev => ++prev)
Index: frontend/src/Components/Hooks/useGet.js
===================================================================
--- frontend/src/Components/Hooks/useGet.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/Hooks/useGet.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -1,4 +1,4 @@
 import axios from "../../axios";
-import {useState, useEffect, useContext} from 'react';
+import { useState, useEffect, useContext } from 'react';
 
 const useGet = (url, dep) => {
@@ -11,15 +11,10 @@
         console.log(localStorage.getItem("sessionId"))
         console.log("url od get " + uurl)
-        await axios.get(uurl, {maxRedirects: 0}).then((res) => {
-            console.log(res);
-            // if(res.request.responseURL.includes('8080'))
-            // {
-            //     window.location.href = "/login"
-            // }
-            setData(res.data);
-        }).catch((error) => {
-            console.log(error)
-            // window.location.href = '/error'
-        })
+        await axios.
+            get(uurl).then((res) => {
+                setData(res.data);
+            }).catch((err) => {
+                console.log(err)
+            })
             .finally(() => {
                 setIsLoading(false);
@@ -31,5 +26,5 @@
         getData(url);
     }, [dep, url, changed]);
-
+    
     return {
         data,
Index: frontend/src/Components/HotelDetails/ReviewsCarousel.js
===================================================================
--- frontend/src/Components/HotelDetails/ReviewsCarousel.js	(revision efaa05348a3e0dac884385ba4dd765baaeb47ec6)
+++ frontend/src/Components/HotelDetails/ReviewsCarousel.js	(revision e9b4ba920295b1b329df3313a9e80743d23804ee)
@@ -2,33 +2,29 @@
 import Carousel from "react-bootstrap/Carousel";
 import Review from "../BecomeAHost/Review";
-import {useState} from "react";
-import {Container} from "react-bootstrap";
-import review from "../BecomeAHost/Review";
+import { useState } from "react";
+import { Container } from "react-bootstrap";
 
-const ReviewsCarousel = (props) => {
+const ReviewsCarousel = () => {
     document.body.style.backgroundColor = "white";
 
     const [index, setIndex] = useState(0);
-
+  
     const handleSelect = (selectedIndex) => {
-        setIndex(selectedIndex);
+      setIndex(selectedIndex);
     };
     return (<>
-        <Container
-            className="py-3 px-1 my-4">
-            <Carousel className="w-100" activeIndex={index} onSelect={handleSelect} indicators={false}>
-                {props.reviews.length === 0 && <Carousel.Item>
-                    <Container>
-                        <h4>За избраниот ресурс се уште не се достапни оценки!</h4>
-                    </Container>
-                </Carousel.Item>}
-                {props.reviews.map((rev) => {
-                    return (
-                        <Carousel.Item>
-                            <Review key={review.reviewId} review={rev}></Review>
-                        </Carousel.Item>
-                    )
-                })}
-            </Carousel>
+                    <Container
+        className="py-3 px-1 my-4">
+                <Carousel className="w-100" activeIndex={index} onSelect={handleSelect}>
+                  <Carousel.Item>
+                  <Review></Review>
+                  </Carousel.Item>
+                  <Carousel.Item>
+                  <Review></Review>
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <Review></Review>
+                  </Carousel.Item>
+                </Carousel>
         </Container>
     </>)
